cURL
curl --request POST \
--url https://app.masivo.ai/api/storefront/v1/customers/fulfill_expired_events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://app.masivo.ai/api/storefront/v1/customers/fulfill_expired_events"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://app.masivo.ai/api/storefront/v1/customers/fulfill_expired_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "1 event(s) have been queued for fulfillment",
"details": "Events will be processed in the background"
}{
"error": "<string>",
"details": "<string>"
}Maintenance
Fulfill expired events
Fulfill expired events that were not marked as fulfilled. This endpoint enqueues up to 500 events per call to be processed in the background. Note that events may fail due to expired rewards or insufficient wallet balance at the time of re-processing them. Failed events can be reviewed in the Cron Jobs tab of your account settings to identify the specific event IDs that encountered issues.
POST
/
customers
/
fulfill_expired_events
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
The start date to filter expired events by their original issue date. Must be within 1 year of end_date
The end date to filter expired events by their original issue date. Must be within 1 year of start_date. Events will be processed in batches of 500